require '../helper'

class AuthenticatorTest < Test::Unit::TestCase

	context 'initialization' do

		setup do
			@host = 'localhost'
			@port = 3000	
		end
		
		should "create multiple authenticators cleanly" do
			DeviseProxy::Authenticator.new
			DeviseProxy::Authenticator.new @host, @port
			DeviseProxy::Authenticator.new
	  end

		should 'create proxy cleanly' do
			proxy = DeviseProxy::Proxy.new({})
			assert_equal proxy.host, @host
			assert_equal proxy.port, @port
		end
	  
	end
	

end
